X509_CMP_TIME(3)

NAME
X509_cmp_time - compare an ASN.1 Time to a time in seconds since the Epoch

SYNOPSIS
#include <openssl/x509.h>
int
X509_cmp_time(const ASN1_TIME *asn1_time, time_t *cmp_time);

DESCRIPTION
X509_cmp_time() parses asn1_time with ASN1_time_parse(3) and compares it to cmp_time. If cmp_time is NULL, the current time is used.

RETURN VALUES
X509_cmp_time() returns -1 if asn1_time is earlier than or equal to cmp_time, 1 if it is later, or 0 on error.

SEE ALSO
ASN1_time_parse(3), time(3)